#
# spec file for package perl-autodie
#

# norootforbuild

Name:          perl-autodie
%define        cpan_name %( %{__sed} -e 's,perl-,,' <<< %{name} )
Summary:       Replace functions with ones that succeed or die with lexical scope
Url:           http://search.cpan.org/perldoc?autodie
Group:         Development/Libraries/Perl
License:       Artistic License
Version:       2.10
Release:       4.1
Source:        %{cpan_name}-%{version}.tar.bz2
BuildRequires: perl-macros
Requires:      perl = %{perl_version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:	perl-macros
%endif

%description
The autodie pragma provides a convenient way to replace functions that normally
return false on failure with equivalents that throw an exception on failure.

The autodie pragma has lexical scope, meaning that functions and subroutines
altered with autodie will only change their behaviour until the end of the
enclosing block, file, or eval.

If system is specified as an argument to autodie, then it uses
IPC::System::Simple to do the heavy lifting. See the description of that module
for more information.

Author:
-------
    Paul Fenwick <pjf@perltraining.com.au>


%prep
%setup -n %{cpan_name}-%{version}
find . -type f -exec chmod -x {} \;

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%{__rm} -rf %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Sun May  9 2010 lars@linux-schulserver.de
- initial version 2.10
